Expand my Community achievements bar.

Enhance your AEM Assets & Boost Your Development: [AEM Gems | June 19, 2024] Improving the Developer Experience with New APIs and Events
SOLVED

Request for Guidance on Updating Core Component Version

Avatar

Level 3

I have a scenario that involves updating a core component version and I am in need of guidance on the necessary steps. Additionally, I am interested in obtaining any available documentation to assist in this process.

As of now, I am using version AEM6.5 SP15, and the current core component version is 2.19.0.

Thanks,
Sai

 

Topics

Topics help categorize Community content and increase your ability to discover relevant content.

1 Accepted Solution

Avatar

Correct answer by
Community Advisor

Hi @Sai1278 ,

The current release of the Core Components is 2.23.4 and is compatible with AEM as cloud service and AEM on-premise.
Below are the steps that you need to take care for upgrading core components:

1. Check the compatible core version with your AEM.
  Follow this for compatibility check: https://experienceleague.adobe.com/docs/experience-manager-core-components/using/versions.html?lang=...

2. Upgrade your dependency in project pom file:

           <dependency>
                <groupId>com.adobe.cq</groupId>
                <artifactId>core.wcm.components.core</artifactId>
                <version>2.23.4</version>
            </dependency>


3. Try to validate few components in your local first by opening browser dev tool console to see if you are getting any JS error.



Thanks
Tarun

View solution in original post

6 Replies

Avatar

Level 9

@Sai1278 : You will have to update the version in your POM file. Please lookout for "core.wcm.components" and see what is the current version and you can find the latest version from maven artifacts at https://mvnrepository.com/ 

You can also refer similar questions asked : https://experienceleaguecommunities.adobe.com/t5/adobe-experience-manager/best-way-to-update-core-co...

thanks.

Avatar

Correct answer by
Community Advisor

Hi @Sai1278 ,

The current release of the Core Components is 2.23.4 and is compatible with AEM as cloud service and AEM on-premise.
Below are the steps that you need to take care for upgrading core components:

1. Check the compatible core version with your AEM.
  Follow this for compatibility check: https://experienceleague.adobe.com/docs/experience-manager-core-components/using/versions.html?lang=...

2. Upgrade your dependency in project pom file:

           <dependency>
                <groupId>com.adobe.cq</groupId>
                <artifactId>core.wcm.components.core</artifactId>
                <version>2.23.4</version>
            </dependency>


3. Try to validate few components in your local first by opening browser dev tool console to see if you are getting any JS error.



Thanks
Tarun

Avatar

Administrator

@Sai1278 Did you find the suggestions from users helpful? Please let us know if more information is required. Otherwise, please mark the answer as correct for posterity. If you have found out solution yourself, please share it with the community.



Kautuk Sahni

Avatar

Community Advisor

Hello @Sai1278 

 

Please refer to the compatibility matrix on https://experienceleague.adobe.com/docs/experience-manager-core-components/using/versions.html?lang=...

With SP 15 you can max update to 2.22.12 of core components.

 

  • Please consider updating SP and components both
  • If you can't update SP, then following steps might be helpful:
    • Update dependencies in pom
    • Assure AEM also has the updated version.
    • Compare the sling:resourceSuperType of all components in your project.
    • Assure you the using the latest version of the parent component
      • In case a new version is available:
        • Compare the feature differences between 2 versions on the official documentation of the component.
        • Compare HTL, dialogs etc between 2 versions.
        • Validate all the new and app-specific features on the updated component

 


Aanchal Sikka

Avatar

Level 3

Hi @aanchal-sikka 
Thanks for the response. As per your guidance, which version should I consider for taking the next steps to update the core component version on SP15, and what steps need to be followed for that?

Avatar

Community Advisor

Hello @Sai1278 

 

I had added the details in previous reply. Please use 2.22.12, if you can't update SP.

 

Steps: 

  • Update dependencies in pom
  • Assure AEM also has the updated version.
  • Compare the sling:resourceSuperType of all components in your project.
  • Assure you the using the latest version of the parent component
    • In case a new version is available:
      • Compare the feature differences between 2 versions on the official documentation of the component.
      • Compare HTL, dialogs etc between 2 versions.
      • Validate all the new and app-specific features on the updated component

Please let us know, if you facing challenge in any specific step


Aanchal Sikka